---
lang: en
title: 'API docs: authorization.authorizationerror'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorizationerror.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationError](./authorization.authorizationerror.md)

## AuthorizationError class

The custom error class that describes the error thrown by the authorization module. Should be extracted to the common layer shared by authentication and authorization.

**Signature:**

```typescript
export declare class AuthorizationError extends Error 
```
**Extends:** Error

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[code?](./authorization.authorizationerror.code.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Machine readable code, can be understood by any clients


</td></tr>
<tr><td>

[statusCode?](./authorization.authorizationerror.statuscode.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ The status code for HTTP requests


</td></tr>
</tbody></table>


